Skip to content
Kaminari view templates made compatible with twitter bootstrap
Find file
Failed to load latest commit information.
app/views/kaminari remove unnecessary container div Jul 31, 2014
README.md bootstrap v3.2.0 support Jul 31, 2014

README.md

Kaminari views for Twitter Bootstrap

twitter bootstrap is a toolkit from Twitter designed to kickstart development of webapps and sites, including styles for pagination. If you're using kaminari as your pagination library, the markup in its default views won't match the selectors used by bootstrap. This repository contains modified copies of kaminari's views that you can drop in to your ruby application to work with bootstrap.

Installation

Copy app/views/kaminari into your local Rails app/views folder

Compatibility

Most recently tested with Bootstrap v3.2.0 and kaminari v.0.16.1. Please open an issue if you find any future compatibility issues.

Support for 2.0.3 and earlier is available as a separate release.

HAML fork

Prefer to use HAML over ERB? Lucky for you, Nick Gorbikoff has created a HAML fork for your pleasure.

Something went wrong with that request. Please try again.